-- This script creates the database tables for the MLNetworkRequestTask cache
-- and seeds the feed table with initial records. 

-- to create the db file from it use the following commands into the terminal (copy this file into the current termnal dir)
-- sqlite3 httpRequests.db
-- .read httpRequestsDB.sql
-- .exit

DROP TABLE IF EXISTS httpRequests;

CREATE TABLE httpRequests (
    id           INTEGER PRIMARY KEY,    -- unique id for this record
    request      TEXT,                   -- url for data
    response     BLOB,                   -- title of the feed
    statusCode   INTEGER,                -- request status code
    cacheType    INTEGER,                -- cacheType, 1 is for weak cache (and will be deleted on session reset), 0 is for strong cache (will be deleted on cleanup) 
    stamp        TEXT DEFAULT CURRENT_TIMESTAMP  -- time stamp
);

-- create index for the request column
CREATE UNIQUE INDEX requestIndex ON httpRequests(request);

DROP TABLE IF EXISTS dbVersion;

CREATE TABLE dbVersion (
    version      INTEGER
);

INSERT INTO dbVersion (version) VALUES (1);

